OpenTTD Source: NetworkContentConnecter Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions
NetworkContentConnecter Class Reference

Connect to the content server. More...

Inheritance diagram for NetworkContentConnecter:

## Public Member Functions
| NetworkContentConnecter (std::string_view connection_string)
| Initiate the connecting.
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded.
Public Member Functions inherited from TCPConnecter
| TCPConnecter (std::string_view connection_string, uint16_t default_port, const NetworkAddress &bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address.
void | Kill ()
| Kill this connecter.

## Additional Inherited Members
Static Public Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e.
static void | KillAll ()
| Kill all connection attempts.
template<class T , typename... Args>
static std::shared_ptr< TCPConnecter > | Create (Args &&... args)
| Create the connecter, and initiate connecting by putting it in the collection of TCP connections to make.

## Detailed Description

Connect to the content server.

Definition at line 695 of file network_content.cpp.

## Constructor & Destructor Documentation

## ◆ NetworkContentConnecter()

NetworkContentConnecter::NetworkContentConnecter | ( | std::string_view | connection_string | ) |
| inline

Initiate the connecting.

Parameters

  address | The address of the server.

Definition at line 701 of file network_content.cpp.

## Member Function Documentation

## ◆ OnConnect()

void NetworkContentConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 709 of file network_content.cpp.

References _network_content_client, ClientNetworkContentSocketHandler::is_connecting, ClientNetworkContentSocketHandler::last_activity, ClientNetworkContentSocketHandler::OnConnect(), NetworkSocketHandler::Reopen(), and NetworkTCPSocketHandler::sock.

## ◆ OnFailure()

void NetworkContentConnecter::OnFailure | ( |  | ) |
| inlineoverridevirtual

Callback for when the connection attempt failed.

Reimplemented from TCPConnecter.

Definition at line 703 of file network_content.cpp.

References _network_content_client, ClientNetworkContentSocketHandler::is_connecting, and ClientNetworkContentSocketHandler::OnConnect().

The documentation for this class was generated from the following file:

- src/network/network_content.cpp